# Soil Layer \[MPTE]

The Soil Layer definition is used to specify the characteristics of the soil. Various models are available in OpenBrIM.

Regarding soil models, note that when a soil model is selected, only the necessary parameters for that model are displayed to the engineer.

## General

**Soil Type \[Cohesionless/Cohesive/Rock]:** Specify the soil type. Available Soil Models are filtered according to the Soil Type.

**Unit Weight:** Specify the unit weight of the soil.

**Top of Layer Elevation:** This parameter specifies the global elevation of top layer of the soil.

**Bottom of Layer Elevation:** This parameter specifies the global elevation of bottom layer of the soil.

## Lateral

Choose the lateral soil model according to the Soil Type. Only the inputs required by the chosen model are displayed.

**Model (Cohesionless) \[Sand (Reese)/Sand (API)/Liquefied Sand (Rollins)/Custom P-Y = 99]:** Lateral soil model used when Soil Type is Cohesionless.

**Model (Cohesive) \[Soft Clay (Matlock)/Stiff Clay without Free Water (Welch and Reese)/Stiff Clay with Free Water (Reese)/Custom P-Y = 99]:** Lateral soil model used when Soil Type is Cohesive.

**Model (Rock) \[Weak Rock (Reese)/Strong Rock (Turner)//Limestone (McVay)/Custom P-Y = 99]:** Lateral soil model used when Soil Type is Rock.

**Custom P-Y:** User-supplied P-Y curve points. First point must be `[0,0]`; all others must be positive; at least three points are required.

**Undrained Shear Strength:** Undrained shear strength `c_u` used by Matlock and related clay models.

**Average Undrained Shear Strength:** Average undrained shear strength used by Stiff Clay (Welch and Reese) model.

**Major Principal Strain at 50%:** Strain at 50% of the major principal stress difference (ε₅₀) used in Matlock soft-clay and related models.

**Internal Friction Angle:** Effective internal friction angle `φ` used by cohesionless-soil lateral models.

**Subgrade Modulus:** Modulus of subgrade reaction `k` used by Sand (Reese) and related sand models.

**Mass Modulus:** Rock mass modulus `E_ir` used by the Weak Rock (Reese) lateral model.

**Stiffness Constant (k\_rm):** Stiffness constant `k_rm` used by the Weak Rock (Reese) lateral model.

**Unconfined Compressive Strength:** Unconfined compressive strength `q_ur` of the rock used by rock lateral models.

**Rock Quality Designation (RQD) %:** Rock Quality Designation (percent) used to adjust resistance in rock lateral models.

For theoretical details about the models, refer to [Lateral Soil Models](/technical-background/soil-structure-interaction/general.md).

## Axial

Choose the axial soil model according to the Soil Type. Only the inputs required by the chosen model are displayed.

**Model (Cohesionless) \[Driven Pile (McVay)/Drilled Shaft Sand (Reese and O'Neill)/Custom T-Z = 99]:** Axial soil model used when Soil Type is Cohesionless.

**Model (Cohesive) \[Driven Pile (McVay)/Drilled Shaft Clay (Reese and O'Neill)/Custom T-Z = 99]:** Axial soil model used when Soil Type is Cohesive.

**Model (Rock) \[Driven Pile (McVay)/Custom T-Z = 99]:** Axial soil model used when Soil Type is Rock.

**Custom T-Z:** User-supplied T-Z curve points. First point must be `[0,0]`; all others must be positive; at least three points are required.

**Poisson's Ratio of Soil:** Poisson's ratio `ν` of the soil used by analytical T-Z models.

**Shear Modulus:** Shear modulus `G` of the soil used by analytical T-Z models.

**The ultimate shear stress (Skin friction):** Ultimate skin-friction shear stress `t_u` along the pile-soil interface.

**Undrained Shear Strength:** Undrained shear strength `c_u` used by cohesive axial models (this input is also named the same in the Lateral category).

For theoretical details about the models, refer to [Axial TZ Soil Models](/technical-background/soil-structure-interaction/axial-soil-models/axial-tz-soil-models.md).

## Tip

Choose the tip soil model according to the Soil Type. Only the inputs required by the chosen model are displayed.

**Model \[Driven Pile (McVay)/Drilled Shaft Sand (Reese and O'Neill)/Drilled Shaft Clay (Reese and O'Neill)/Custom Q-Z = 99]:** Tip-resistance model used to compute axial resistance at the pile tip.

**Custom Q-Z:** User-supplied Q-Z curve points. First point must be `[0,0]`; all others must be positive; at least three points are required.

**Poisson's Ratio of Soil:** Poisson's ratio `ν` of the soil used by the analytical Q-Z model (this input is also named the same in the Axial category).

**Shear Modulus:** Shear modulus `G` of the soil used by the analytical Q-Z model.

**The ultimate tip resistance:** Ultimate tip-bearing resistance `q_f` developed at the pile tip.

**Uncorrected SPT N:** Uncorrected SPT blow count used by Driven Pile (McVay) tip model.

**Undrained Shear Strength:** Undrained shear strength `c_u` used by Drilled Shaft Clay tip model (this input is also named the same in the Lateral and Axial categories).

For theoretical details about the models, refer to [Axial QZ Soil Models](/technical-background/soil-structure-interaction/general.md).

## Torsional

Choose the torsional soil model. Only the inputs required by the chosen model are displayed.

**Model \[Hyperbolic Curve/Custom T-θ = 99]:** Torsional soil model applied to the pile.

**Custom T-θ:** User-supplied T-θ curve points. First point must be `[0,0]`; all others must be positive; at least three points are required.

**Shear Modulus:** Shear modulus `G` of the soil used by the Hyperbolic Curve torsional model.

**Torsional Shear Stress:** Ultimate torsional shear stress `t_u` used by the Hyperbolic Curve torsional model.

{% hint style="info" %}
About **Custom Models**:

* The first point must be **\[0,0]**.
* All other points must have only positive values.
* At least three points must be entered.
  {% endhint %}

For theoretical details about the models, refer to [Torsional Soil Models](/technical-background/soil-structure-interaction/general.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openbrim.org/templates/minimum-pile-tip-embedment-workflow/soil-structure-interaction-mpte/soil-layer-mpte.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
